Bug 466128 - Cannot edit profile when running sabayon as root under vnc session
Cannot edit profile when running sabayon as root under vnc session
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sabayon (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-08 11:51 EDT by Tomáš Bžatek
Modified: 2015-03-03 17:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:31:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomáš Bžatek 2008-10-08 11:51:49 EDT
Description of problem:

Sabayon couldn't start profile editor when running under vnc session (pure vncserver) as root. Other users are fine.

Version-Release number of selected component (if applicable):
  Sabayon all versions starting RHEL 5.2 and including rawhide. Same symptoms on all tested systems.
  sabayon-2.12.4-6.el5
  vnc-server-4.1.2-9.el5


Steps to Reproduce:
1. Start a vnc server session under root
2. Run Sabayon, create new profile
3. Press the Edit button and check the error message.

  
Actual results:

Traceback (most recent call last):
  File "/usr/libexec/sabayon-session", line 24, in ?
    import gtk
  File "/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py", line 76, in ?
    _init()
  File "/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py", line 64, in _init
    _gtk.init_check()
RuntimeError: could not open display


Additional info:

There's a quite clear message in the vnc session log:
  AUDIT: Sun Aug 17 19:41:17 2008: 25330 Xvnc: client 6 rejected from local host

By default, access control to the X display allows connections under same user from a local machine. Due to Sabayon nature, a different user is used for the profile editor. This attempt is denied by the server then.

What makes me confused is that everything works when running vnc server under normal user and also in X root session. 

SELinux has no effect on the issue, running in Permissive mode. And there's no ConsoleKit in RHEL which might possibly affect access.
Comment 1 Tomáš Bžatek 2008-10-08 11:58:03 EDT
Forgot to add: 
 - "xhost +" disables access control completely and Sabayon runs fine.
 - tried to spawn vnc session with full /etc/X11/xinit/xinitrc load, resulting in normal Gnome session started but with no effect on the access control.

What I want to avoid is changing access control on user's display just for this case.
Comment 2 Bug Zapper 2008-11-25 22:40:14 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-11-18 03:31:56 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 01:31:52 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.